xapian-core 1.4.20

Classes | Namespaces
expanddecider.h File Reference

Allow rejection of terms during ESet generation. More...

## Classes
class | Xapian::ExpandDecider
| Virtual base class for expand decider functor. More...
class | Xapian::ExpandDeciderAnd
| ExpandDecider subclass which rejects terms using two ExpandDeciders. More...
class | Xapian::ExpandDeciderFilterTerms
| ExpandDecider subclass which rejects terms in a specified list. More...
class | Xapian::ExpandDeciderFilterPrefix
| ExpandDecider subclass which restrict terms to a particular prefix. More...

## Namespaces
| Xapian
| The Xapian namespace contains public interfaces for the Xapian library.

## Detailed Description

Allow rejection of terms during ESet generation.